Bug 1288853 - pyzor: check failed: internal error, python traceback seen in response
pyzor: check failed: internal error, python traceback seen in response
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pyzor (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
: 1405583 1415205 1415206 1426690 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-06 10:24 EST by Harald Reindl
Modified: 2017-08-08 16:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:29:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample message (1.49 KB, text/plain)
2016-02-09 09:15 EST, Harald Reindl
no flags Details

  None (edit)
Description Harald Reindl 2015-12-06 10:24:47 EST
looks like pyzor don't work on Fedora 23 (my testserver VM) while it works fine on our F22 production server

pyzor-1.0.0-3.fc23.noarch versus pyzor-0.5.0-10.fc21.noarch
maybe something related to the python3 changes in F23?

most people won't notice it most of the time since it's only a single line with a warning and SpamAssassin continues it's operations without other issues

i only realized that because debugging a bug in clamav-milter
_______________________________________________

Dec  6 16:16:38 testserver spamd[1296]: pyzor: check failed: internal error, python traceback seen in response

Dec  6 16:19:24 testserver spamd[1296]: pyzor: check failed: internal error, python traceback seen in response
_______________________________________________

[root@testserver:~]$ tail -f maillog
Dec  6 16:16:36 testserver postfix/submission/smtpd[16150]: 3pDBFJ3xzLz295Z: client=unknown[192.168.196.2], sasl_method=CRAM-MD5, sasl_username=test@testserver.rhsoft.net
Dec  6 16:16:36 testserver postfix/cleanup[16154]: 3pDBFJ3xzLz295Z: info: header Subject: Test from unknown[192.168.196.2]; from=<test@testserver.rhsoft.net> to=<rhsoft@test.rh> proto=ESMTP helo=<srv-rhsoft.rhsoft.net>
Dec  6 16:16:36 testserver postfix/cleanup[16154]: 3pDBFJ3xzLz295Z: message-id=<56645154.1090501@testserver.rhsoft.net>
Dec  6 16:16:36 testserver spamd[1296]: spamd: got connection over /run/spamassassin/spamassassin.sock
Dec  6 16:16:36 testserver spamd[1296]: spamd: processing message <56645154.1090501@testserver.rhsoft.net> for sa-milt:189
Dec  6 16:16:38 testserver spamd[1296]: pyzor: check failed: internal error, python traceback seen in response
Dec  6 16:16:38 testserver spamd[1296]: spamd: clean message (0.6/5.5) for sa-milt:189 in 1.6 seconds, 1368 bytes.
Dec  6 16:16:38 testserver spamd[1296]: spamd: result: . 0 - ALL_TRUSTED,BAYES_50,TVD_SPACE_RATIO scantime=1.6,size=1368,user=sa-milt,uid=189,required_score=5.5,rhost=localhost,raddr=127.0.0.1,rport=/run/spamassassin/spamassassin.sock,mid=<56645154.1090501@testserver.rhsoft.net>,bayes=0.499785,autolearn=disabled
Dec  6 16:16:38 testserver postfix/cleanup[16154]: 3pDBFJ3xzLz295Z: milter-reject: END-OF-MESSAGE from unknown[192.168.196.2]: 5.7.1 Virus found: "Eicar-Test-Signature"; from=<test@testserver.rhsoft.net> to=<rhsoft@test.rh> proto=ESMTP helo=<srv-rhsoft.rhsoft.net>
Dec  6 16:16:44 testserver postfix/submission/smtpd[16150]: disconnect from unknown[192.168.196.2] ehlo=2 starttls=1 auth=1 mail=1 rcpt=1 data=0/1 quit=1 commands=7/8


Dec  6 16:19:22 testserver postfix/submission/smtpd[16178]: connect from unknown[192.168.196.2]
Dec  6 16:19:22 testserver postfix/submission/smtpd[16178]: Anonymous TLS connection established from unknown[192.168.196.2]: TLSv1.2 with cipher ECDHE-RSA-AES256-SHA (256/256 bits)
Dec  6 16:19:22 testserver postfix/submission/smtpd[16178]: 3pDBJV5cX2z295Z: client=unknown[192.168.196.2], sasl_method=CRAM-MD5, sasl_username=test@testserver.rhsoft.net
Dec  6 16:19:22 testserver postfix/cleanup[16184]: 3pDBJV5cX2z295Z: info: header Subject: Test from unknown[192.168.196.2]; from=<test@testserver.rhsoft.net> to=<rhsoft@test.rh> proto=ESMTP helo=<srv-rhsoft.rhsoft.net>
Dec  6 16:19:22 testserver postfix/cleanup[16184]: 3pDBJV5cX2z295Z: message-id=<566451FA.1090508@testserver.rhsoft.net>
Dec  6 16:19:22 testserver spamd[1296]: spamd: got connection over /run/spamassassin/spamassassin.sock
Dec  6 16:19:22 testserver spamd[1296]: spamd: processing message <566451FA.1090508@testserver.rhsoft.net> for sa-milt:189
Dec  6 16:19:24 testserver spamd[1296]: pyzor: check failed: internal error, python traceback seen in response
Dec  6 16:19:24 testserver spamd[1296]: spamd: clean message (0.6/5.5) for sa-milt:189 in 1.7 seconds, 1368 bytes.
Dec  6 16:19:24 testserver spamd[1296]: spamd: result: . 0 - ALL_TRUSTED,BAYES_50,TVD_SPACE_RATIO scantime=1.7,size=1368,user=sa-milt,uid=189,required_score=5.5,rhost=localhost,raddr=127.0.0.1,rport=/run/spamassassin/spamassassin.sock,mid=<566451FA.1090508@testserver.rhsoft.net>,bayes=0.499785,autolearn=disabled
Dec  6 16:19:24 testserver postfix/cleanup[16184]: 3pDBJV5cX2z295Z: milter-reject: END-OF-MESSAGE from unknown[192.168.196.2]: 5.7.1 Virus found: "Eicar-Test-Signature"; from=<test@testserver.rhsoft.net> to=<rhsoft@test.rh> proto=ESMTP helo=<srv-rhsoft.rhsoft.net>
Dec  6 16:19:56 testserver postfix/submission/smtpd[16178]: disconnect from unknown[192.168.196.2] ehlo=2 starttls=1 auth=1 mail=1 rcpt=1 data=0/1 commands=6/7
Comment 1 Jason Tibbitts 2015-12-07 13:32:09 EST
Could be python3, could be selinux, could be something else.  You'll need to provide that backtrace for me to say much more.  Unfortunately spamassassin throws it away unless you turn up its debugging settings, so you'll need to do that and then hope you can catch a backtrace.  If abrt were running it should have been reported, and you are welcome to compare whatever backtrace you might find against those that are already being tracked.
Comment 2 Harald Reindl 2015-12-07 13:39:51 EST
It could at least NOT be Selinu - no selinux on my machines

Do you tell me your pyzor setup don't spit that messages or that you don't own a setup and build just random untested packages
Comment 3 Jason Tibbitts 2015-12-07 13:43:59 EST
OK, so it's not selinux.  Now all I need is the backtrace and I'll take a look.
Comment 4 Harald Reindl 2015-12-07 14:19:09 EST
well, interesting that i don't see that messages when using "/usr/bin/spamc -s 20000000 --socket /run/spamassassin/spamassassin.sock < /var/lib/spamass-milter/spam-example.eml" but only when a mail get passed through postfix/spamass-milter/spamd
________________________

here the stacktrace, below the systemd units

Dec  7 20:15:01 testserver spamd[4820]: pyzor: opening pipe: /usr/bin/pyzor check < /tmp/.spamassassin4820FrkzThtmp
Dec  7 20:15:01 testserver spamd[4841]: util: setuid: ruid=189 euid=189
Dec  7 20:15:01 testserver spamd[4820]: pyzor: [4841] finished: exit 1
Dec  7 20:15:01 testserver spamd[4820]: pyzor: got response: Traceback (most recent call last):\n File "/usr/bin/pyzor", line 408, in <module>\n main()\n File "/usr/bin/pyzor", line 152, in main\n if not dispatch(client, servers, config):\n File "/usr/bin/pyzor", line 239, in check\n send_digest(digested, mock_runner, servers)\n File "/usr/bin/pyzor", line 262, in send_digest\n _send_digest(runner, servers[0], digested)\n File "/usr/bin/pyzor", line 253, in _send_digest\n runner.run(server, (digested, server))\n File "/usr/lib/python3.4/site-packages/pyzor/client.py", line 258, in run\n response = self.routine(*args, **kwargs)\n File "/usr/lib/python3.4/site-packages/pyzor/client.py", line 122, in _mock_check\n pyzor.proto_version))\nTypeError: unsupported operand type(s) for %: 'bytes' and 'tuple'
Dec  7 20:15:01 testserver spamd[4820]: dns: leaving helper-app run mode
Dec  7 20:15:01 testserver spamd[4820]: pyzor: check failed: internal error, python traceback seen in response
________________________

[root@testserver:~]$ cat /etc/systemd/system/spamass-milter.service
[Unit]
Description=SpamAssassin Postfix-Milter
Wants=spamassassin.service
After=spamassassin.service
Before=postfix.service

[Service]
Type=simple
UMask=0022
Environment="TMPDIR=/tmp"
ExecStart=/usr/sbin/spamass-milter -p /run/spamass-milter/spamass-milter.sock -g sa-milt -R 'Blocked by Spamfilter' -r 8.0 -- -s 10485760 --socket=/run/spamassassin/spamassassin.sock
Environment="LANG=en_GB.UTF-8"
User=sa-milt
Group=sa-milt
Nice=15
Restart=always
RestartSec=1

PrivateTmp=yes
PrivateDevices=yes
NoNewPrivileges=yes
CapabilityBoundingSet=CAP_KILL
SystemCallArchitectures=x86-64

ReadOnlyDirectories=/etc
ReadOnlyDirectories=/usr
ReadOnlyDirectories=/var/lib
ReadOnlyDirectories=/var/lib/spamass-milter/.spamassassin
ReadWriteDirectories=/var/spool/postfix
ReadWriteDirectories=/var/lib/postfix
InaccessibleDirectories=-/var/lib/spamass-milter/training

InaccessibleDirectories=-/boot
InaccessibleDirectories=-/home
InaccessibleDirectories=-/media
InaccessibleDirectories=-/root
InaccessibleDirectories=-/etc/dbus-1
InaccessibleDirectories=-/etc/modprobe.d
InaccessibleDirectories=-/etc/modules-load.d
InaccessibleDirectories=-/etc/ssh
InaccessibleDirectories=-/etc/sysctl.d
InaccessibleDirectories=-/run/console
InaccessibleDirectories=-/run/dbus
InaccessibleDirectories=-/run/lock
InaccessibleDirectories=-/run/mount
InaccessibleDirectories=-/run/systemd/generator
InaccessibleDirectories=-/run/systemd/system
InaccessibleDirectories=-/run/systemd/users
InaccessibleDirectories=-/run/udev
InaccessibleDirectories=-/run/user
InaccessibleDirectories=-/usr/lib64/dbus-1
InaccessibleDirectories=-/usr/lib64/xtables
InaccessibleDirectories=-/usr/lib/dracut
InaccessibleDirectories=-/usr/libexec/iptables
InaccessibleDirectories=-/usr/libexec/openssh
InaccessibleDirectories=-/usr/lib/grub
InaccessibleDirectories=-/usr/lib/kernel
InaccessibleDirectories=-/usr/lib/modprobe.d
InaccessibleDirectories=-/usr/lib/modules
InaccessibleDirectories=-/usr/lib/modules-load.d
InaccessibleDirectories=-/usr/lib/rpm
InaccessibleDirectories=-/usr/lib/sysctl.d
InaccessibleDirectories=-/usr/lib/udev
InaccessibleDirectories=-/usr/local/scripts
InaccessibleDirectories=-/var/db
InaccessibleDirectories=-/var/lib/dbus
InaccessibleDirectories=-/var/lib/rpm
InaccessibleDirectories=-/var/lib/systemd
InaccessibleDirectories=-/var/lib/yum

[Install]
WantedBy = multi-user.target
________________________

[root@testserver:~]$ cat /etc/systemd/system/spamassassin.service
[Unit]
Description=Spamassassin Daemon
After=network.service systemd-networkd.service network-online.target
Wants=sa-update.timer

[Service]
Environment="TMPDIR=/tmp"
PermissionsStartOnly=true
ExecStartPre=/usr/bin/find /var/lib/spamassassin/ -type d -exec /bin/chmod 0755 "{}" \;
ExecStartPre=/usr/bin/find /var/lib/spamassassin/ -type f -exec /bin/chmod 0644 "{}" \;
ExecStart=/usr/bin/spamd -D --max-children=20 --min-children=5 --min-spare=5 --max-spare=10 --max-conn-per-child=100 --socketpath=/run/spamassassin/spamassassin.sock --socketmode=0666
ExecReload=/usr/bin/kill -HUP $MAINPID
Environment="LANG=en_GB.UTF-8"
User=sa-milt
Group=sa-milt
RuntimeDirectory=spamassassin
RuntimeDirectoryMode=0775
Nice=15
StandardOutput=null
StandardError=null
SyslogFacility=mail
Restart=always
RestartSec=1

PrivateTmp=yes
PrivateDevices=yes
NoNewPrivileges=yes
CapabilityBoundingSet=CAP_KILL CAP_SYS_CHROOT
RestrictAddressFamilies=~AF_APPLETALK AF_ATMPVC AF_AX25 AF_PACKET AF_X25

ReadOnlyDirectories=/etc
ReadOnlyDirectories=/usr
ReadOnlyDirectories=/var
ReadOnlyDirectories=/var/lib/spamass-milter/.spamassassin
ReadWriteDirectories=/var/lib/spamassassin
InaccessibleDirectories=-/var/lib/spamass-milter/training

InaccessibleDirectories=-/boot
InaccessibleDirectories=-/home
InaccessibleDirectories=-/media
InaccessibleDirectories=-/root
InaccessibleDirectories=-/etc/dbus-1
InaccessibleDirectories=-/etc/modprobe.d
InaccessibleDirectories=-/etc/modules-load.d
InaccessibleDirectories=-/etc/postfix
InaccessibleDirectories=-/etc/ssh
InaccessibleDirectories=-/etc/sysctl.d
InaccessibleDirectories=-/run/console
InaccessibleDirectories=-/run/dbus
InaccessibleDirectories=-/run/lock
InaccessibleDirectories=-/run/mount
InaccessibleDirectories=-/run/systemd/generator
InaccessibleDirectories=-/run/systemd/system
InaccessibleDirectories=-/run/systemd/users
InaccessibleDirectories=-/run/udev
InaccessibleDirectories=-/run/user
InaccessibleDirectories=-/usr/lib64/dbus-1
InaccessibleDirectories=-/usr/lib64/xtables
InaccessibleDirectories=-/usr/lib/dracut
InaccessibleDirectories=-/usr/libexec/iptables
InaccessibleDirectories=-/usr/libexec/openssh
InaccessibleDirectories=-/usr/libexec/postfix
InaccessibleDirectories=-/usr/lib/grub
InaccessibleDirectories=-/usr/lib/kernel
InaccessibleDirectories=-/usr/lib/modprobe.d
InaccessibleDirectories=-/usr/lib/modules
InaccessibleDirectories=-/usr/lib/modules-load.d
InaccessibleDirectories=-/usr/lib/rpm
InaccessibleDirectories=-/usr/lib/sysctl.d
InaccessibleDirectories=-/usr/lib/udev
InaccessibleDirectories=-/usr/local/scripts
InaccessibleDirectories=-/var/db
InaccessibleDirectories=-/var/lib/bayes-persistent
InaccessibleDirectories=-/var/lib/clamav
InaccessibleDirectories=-/var/lib/dbmail
InaccessibleDirectories=-/var/lib/dbus
InaccessibleDirectories=-/var/lib/dhcpd
InaccessibleDirectories=-/var/lib/dnf
InaccessibleDirectories=-/var/lib/imapproxy
InaccessibleDirectories=-/var/lib/initramfs
InaccessibleDirectories=-/var/lib/mailgraph
InaccessibleDirectories=-/var/lib/mlocate
InaccessibleDirectories=-/var/lib/mysql
InaccessibleDirectories=-/var/lib/ntp
InaccessibleDirectories=-/var/lib/postfix
InaccessibleDirectories=-/var/lib/rkhunter
InaccessibleDirectories=-/var/lib/rpm
InaccessibleDirectories=-/var/lib/systemd
InaccessibleDirectories=-/var/lib/unbound
InaccessibleDirectories=-/var/lib/vnstat
InaccessibleDirectories=-/var/lib/yum
InaccessibleDirectories=-/var/named
InaccessibleDirectories=-/var/spool
InaccessibleDirectories=-/var/www
InaccessibleDirectories=-/Volumes/dune/mysql_data
InaccessibleDirectories=-/Volumes/dune/mysql_tmp
InaccessibleDirectories=-/Volumes/dune/updateservice
InaccessibleDirectories=-/Volumes/dune/www-servers

[Install]
WantedBy=multi-user.target
Comment 5 Jason Tibbitts 2015-12-07 15:08:57 EST
Have reported this upstream as https://github.com/SpamExperts/pyzor/issues/44

Will have to look further.  Unfortunately the code isn't particularly well documented so I'm not completely aware of the point of the creation of mock_runner in check().  I have a feeling that commenting out the two references to mock_runner would get past this.

I don't use milters in my environment (as I use Exim which talks to spamassassin directly) so differences in our environments could be why I'm not seeing this.  There are no matching backtraces in FAF and nothing related reported upstream.
Comment 6 Harald Reindl 2015-12-07 15:12:46 EST
thank you for resporting upstream!

will hold back Fedora 23 for now on production servers
Comment 7 Jason Tibbitts 2015-12-07 15:23:14 EST
Note that upstream seems to have gone idle, so I'm not expecting much.  They haven't responded to the previous issue I sent upstream.  So do keep that in mind before using pyzor at all on production servers, Fedora 23 or not.

If I can patch this in our package then I will do so.  Have to manage to reproduce it first, though.  Unless, of course, you want to try doing the commenting I mentioned earlier.
Comment 8 Harald Reindl 2015-12-20 07:39:00 EST
can you provide a scratch-build so i could try it and give feedback if what you think solves the problem and at the same time you can verify that your setup still works

would take away the need that you can reproduce it at your own
Comment 9 Harald Reindl 2016-02-09 09:15 EST
Created attachment 1122427 [details]
sample message

it seems that the stacktraces don't happen always but at least with the sample-attachment and "spamassassin -D < Test.eml" it's reproduceable
Comment 10 Harald Reindl 2016-02-09 09:16:49 EST
Feb  9 15:11:28.078 [7838] dbg: pyzor: pyzor is available: /usr/bin/pyzor
Feb  9 15:11:28.079 [7838] dbg: util: secure_tmpfile created a temporary file /tmp/.spamassassin78382mft2Ttmp
Feb  9 15:11:28.079 [7838] dbg: check: create_fulltext_tmpfile, written 1521 bytes to file /tmp/.spamassassin78382mft2Ttmp
Feb  9 15:11:28.079 [7838] dbg: dns: entering helper-app run mode
Feb  9 15:11:28.080 [7838] dbg: pyzor: opening pipe: /usr/bin/pyzor check < /tmp/.spamassassin78382mft2Ttmp
Feb  9 15:11:28.084 [7839] dbg: util: setuid: ruid=189 euid=189
Feb  9 15:11:28.238 [7838] dbg: pyzor: [7839] finished: exit 1
Feb  9 15:11:28.238 [7838] dbg: pyzor: got response: Traceback (most recent call last):\n File "/usr/bin/pyzor", line 408, in <module>\n main()\n File "/usr/bin/pyzor", line 152, in main\n if not dispatch(client, servers, config):\n File "/usr/bin/pyzor", line 239, in check\n send_digest(digested, mock_runner, servers)\n File "/usr/bin/pyzor", line 262, in send_digest\n _send_digest(runner, servers[0], digested)\n File "/usr/bin/pyzor", line 253, in _send_digest\n runner.run(server, (digested, server))\n File "/usr/lib/python3.4/site-packages/pyzor/client.py", line 258, in run\n response = self.routine(*args, **kwargs)\n File "/usr/lib/python3.4/site-packages/pyzor/client.py", line 122, in _mock_check\n pyzor.proto_version))\nTypeError: unsupported operand type(s) for %: 'bytes' and 'tuple'
Feb  9 15:11:28.239 [7838] dbg: dns: leaving helper-app run mode
Feb  9 15:11:28.239 [7838] warn: pyzor: check failed: internal error, python traceback seen in response
Comment 11 Harald Reindl 2016-02-09 09:20:19 EST
looks like that's not entirely new and only reported different because doing the same on F22 looks like this:

Feb  9 15:18:06.889 [18296] dbg: pyzor: opening pipe: /usr/bin/pyzor check < /tmp/.spamassassin182961NhDsbtmp
Feb  9 15:18:06.891 [18299] dbg: util: setuid: ruid=189 euid=189
Feb  9 15:18:06.915 [18296] dbg: pyzor: [18299] finished: exit 1
Feb  9 15:18:06.915 [18296] dbg: dns: leaving helper-app run mode
Feb  9 15:18:06.915 [18296] dbg: pyzor: check failed: no response
Comment 12 Jason Tibbitts 2016-02-09 15:20:05 EST
Upstream has come to life recently, but I'm reluctant to push a git snapshot.  I can give you one to test if you like, though.  Or just push it to testing.
Comment 13 Harald Reindl 2016-02-09 18:25:41 EST
please provide a snapshot, now since i can reprdouce that easily and the job of pyzor is just a single task (generate checksums and do dns requests) such crashes should not happen and doing so depending on the content may be security relevant too
Comment 14 Jason Tibbitts 2016-02-10 21:57:53 EST
There's a build at http://koji.fedoraproject.org/koji/buildinfo?buildID=734880.  I haven't pushed it to testing yet because I haven't done anything other than install it and run the command line client at this point.  I'm going out of town for a few days tomorrow morning and I might not have time to do anything more until I get back.
Comment 15 Harald Reindl 2016-02-12 04:51:21 EST
thanks - running the above snapshot on my testserver

good: works
bad:  same crashes

spamassassin -D < attachemnt from https://bugzilla.redhat.com/show_bug.cgi?id=1288853#c9

also reproducable by pass the EICAR virus sample through SpamAssassin, i know that this is not a valid email but as far as i understand the issue it happens with extremly short messages containing only one or two words at all

____________________________________________________

[sa-milt@testserver:~]$ cat sample-virus
X5O!P%@AP[4\PZX54(P^)7CC)7}$EICAR-STANDARD-ANTIVIRUS-TEST-FILE!$H+H*
REINDL-HARALD-ARCHIVED
____________________________________________________
Comment 16 Harald Reindl 2016-02-12 04:52:49 EST
[sa-milt@testserver:~]$ pyzor check < sample-virus
Traceback (most recent call last):
  File "/usr/bin/pyzor", line 429, in <module>
    main()
  File "/usr/bin/pyzor", line 152, in main
    if not dispatch(client, servers, config):
  File "/usr/bin/pyzor", line 260, in check
    send_digest(digested, mock_runner, servers)
  File "/usr/bin/pyzor", line 283, in send_digest
    _send_digest(runner, servers[0], digested)
  File "/usr/bin/pyzor", line 274, in _send_digest
    runner.run(server, (digested, server))
  File "/usr/lib/python3.4/site-packages/pyzor/client.py", line 258, in run
    response = self.routine(*args, **kwargs)
  File "/usr/lib/python3.4/site-packages/pyzor/client.py", line 122, in _mock_check
    pyzor.proto_version))
TypeError: unsupported operand type(s) for %: 'bytes' and 'tuple'
Comment 17 Fedora End Of Life 2016-11-24 09:00:44 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Jason Tibbitts 2017-02-24 12:13:12 EST
*** Bug 1405583 has been marked as a duplicate of this bug. ***
Comment 19 Jason Tibbitts 2017-02-24 12:13:44 EST
*** Bug 1415205 has been marked as a duplicate of this bug. ***
Comment 20 Jason Tibbitts 2017-02-24 12:13:46 EST
*** Bug 1415206 has been marked as a duplicate of this bug. ***
Comment 21 Jason Tibbitts 2017-02-24 12:13:48 EST
*** Bug 1426690 has been marked as a duplicate of this bug. ***
Comment 22 Fedora End Of Life 2017-07-25 15:36:18 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 23 Fedora End Of Life 2017-08-08 08:29:41 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 24 Harald Reindl 2017-08-08 08:52:58 EDT
Pyzor TERMINATED errors: 526 time(s)
still apears in Logwatch on F25
Comment 25 RobbieTheK 2017-08-08 16:17:27 EDT
same here can someone reopen?

Note You need to log in before you can comment on or make changes to this bug.